MediaWiki should not prevent creation of empty pages
Closed, ResolvedPublic

bzimport set Reference to bz57238.
Nikerabbit created this task.Via LegacyNov 19 2013, 11:26 AM
MZMcBride added a comment.Via ConduitNov 20 2013, 5:44 AM

(In reply to comment #0)

While this check is usually useful, it prevents legitimate cases where this
is needed (for example providing blank translation via Translate extension).

What is a blank translation and why does it require a blank page?

Nemo_bis added a comment.Via ConduitNov 20 2013, 6:25 AM

(In reply to comment #1)

(In reply to comment #0)
> While this check is usually useful, it prevents legitimate cases where this
> is needed (for example providing blank translation via Translate extension).

What is a blank translation and why does it require a blank page?

https://translatewiki.net/w/i.php?title=Thread:Support/How_can_I_translate_a_message_as_the_empty_string%3F

Jdforrester-WMF added a comment.Via ConduitJun 20 2014, 5:45 PM

I believe this was intended to prevent pointless pages being created, e.g. in error by anons. However, I suppose that this can now be prevented (or tagged for follow-up) with AbuseFilter instead.

Bawolff added a comment.Via ConduitJun 20 2014, 5:48 PM

END ?

Jdforrester-WMF added a comment.Via ConduitJun 20 2014, 7:15 PM

(In reply to Bawolff (Brian Wolff) from comment #5)

END ?

I don't understand. You think we should bring that magicword back (I vaguely recall that it was removed many years ago) to somehow let users create otherwise-blank pages? I'm not sure that would be seen as a great step.

gerritbot added a comment.Via ConduitJul 14 2014, 8:11 AM

Change 145899 had a related patch set uploaded by Florianschmidtwelzow:
Enable the creation of empty pages

https://gerrit.wikimedia.org/r/145899

gerritbot added a comment.Via ConduitJul 26 2014, 3:49 AM

Change 145899 merged by jenkins-bot:
Enable the creation of empty pages

https://gerrit.wikimedia.org/r/145899

Nemo_bis added a comment.Via ConduitJul 26 2014, 7:40 AM

Thanks! This was really a pain, let's hope we're back to business.
https://translatewiki.net/w/i.php?title=FAQ&diff=5669175&oldid=5599206

gerritbot added a comment.Via ConduitJul 27 2014, 12:20 PM

Change 149623 had a related patch set uploaded by Florianschmidtwelzow:
Fix getAutosummary for create blank page

https://gerrit.wikimedia.org/r/149623

gerritbot added a comment.Via ConduitJul 27 2014, 12:59 PM

Change 149623 merged by jenkins-bot:
Fix getAutosummary for create blank page

https://gerrit.wikimedia.org/r/149623

Steinsplitter added a comment.Via ConduitSep 13 2014, 12:10 PM

If this is required only for Translation NS, why was "blank pagecration" enabled for all namespaces?

Please restore the old config for all Namespaces (expect the translationNS one).

matmarex added a comment.Via ConduitSep 13 2014, 12:18 PM

Why? The current behavior is more intuitive.

If you want, please open a separate issue. This one, as described, has been fixed and does not need reopening.

Vogone added a comment.Via ConduitSep 13 2014, 12:20 PM

(In reply to Steinsplitter from comment #12)

If this is required only for Translation NS, why was "blank pagecration"
enabled for all namespaces?

Please restore the old config for all Namespaces (expect the translationNS
one).

I don't see any reason for such a restriction. Anyway, if you pook at the original patch (https://gerrit.wikimedia.org/r/145899), you may notice this was not merely done because of the translations' namespace.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.